Bug 1572654 - [DOCS] 'patch' verb missing in granting users daemonset permissions section
Summary: [DOCS] 'patch' verb missing in granting users daemonset permissions section
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Kathryn Alexander
QA Contact: Chuan Yu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 14:10 UTC by David Caldwell
Modified: 2018-06-01 19:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 19:51:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Caldwell 2018-04-27 14:10:36 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.7/admin_guide/manage_rbac.html#admin-guide-granting-users-daemonset-permissions

and

https://docs.openshift.com/container-platform/3.9/admin_guide/manage_rbac.html#admin-guide-granting-users-daemonset-permissions

Section Number and Name: 
Cluster Administration/Managing Role-based Access Control (RBAC)/Granting Users Daemonset Permissions

Describe the issue: 
The cluster role example is missing the verb 'patch'. Without patch, the user will not be able to successfully do 'oc edit daemonset' which presumably is the intended way of editing the daemonsets.

Suggestions for improvement: 

<code>
oc create clusterrole daemonset-admin --verb=create,delete,get,list,update,watch --resource=daemonsets.extensions
</code>

Should be:

<code>
oc create clusterrole daemonset-admin --verb=create,delete,get,list,update,watch,patch --resource=daemonsets.extensions
</code>

Also, it would be nice if this section contained a third step that showed the full oc edit daemonset command. Eg:

<code>
oc edit daemonset <daemonset_name>
</code>

Additional information:

Comment 1 Kathryn Alexander 2018-05-29 17:05:01 UTC
This section was removed from 3.9, so it applies to only 3.7.

Comment 3 Kathryn Alexander 2018-05-31 15:51:58 UTC
David and I had a chat over email, and I understand the request for `oc edit daemonset <daemonset_name>`.

@Chuan Yu, I have a few questions.

1) Do you think that it's appropriate to add `oc edit daemonset <daemonset_name>` to https://docs.openshift.com/container-platform/3.7/dev_guide/daemonsets.html? That topic makes it sound like you'd need to edit the daemonset, delete the existing pods/nodes, and make new ones to apply the change.

2) Does the change on this PR look good to you: https://github.com/openshift/openshift-docs/pull/9701

Comment 4 Chuan Yu 2018-06-01 02:22:36 UTC
1) Yes, add and patch should be same operation to the resource, leave the patch here is OK.

2) The changes LGTM.

Comment 5 Kathryn Alexander 2018-06-01 12:34:56 UTC
Thank you very much! I merged the change and am waiting for it to go live.


Note You need to log in before you can comment on or make changes to this bug.